/refresh_embedded_js_urls

Retrieves or regenerates the embedded_js_url for one or more orders. The endpoint supports requests for a specific order (using pnm_order_identifier or site_order_identifier) or for multiple orders associated with a consumer (using pnm_customer_identifier or site_customer_identifier).

The embedded_js_url is required to invoke the Embedded Form. This URL expires 30 minutes after order creation, whether the order is created via bulk file upload or through the /create_order endpoint. Before an agent can invoke the Embedded Form, the embedded_js_url must be regenerated if it has expired.

When regenerating the embedded_js_url for all orders associated with a customer, pagination parameters can be used to control the response size. The limit parameter specifies the maximum number of orders (up to 5) to return per request (default is 2). Use the offset parameter to specify the number of orders to skip in the response (default is 0).

To regenerate the embedded_js_url for all matching orders regardless of expiration status, set the force parameter to true. If force is set to false or is not provided, the embedded_js_url is regenerated only for orders where the existing URL has expired.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The unique, PayNearMe-defined identifier for this order

string
required
Defaults to S2411573363

Identifies your client site.

string
required

The Unix Epoch time of the call

string
required
Defaults to 3.0

The version of the API. This version must match the version associated with your API key pair.

string
required

The HMAC signature that is calculated by running your API Secret Key and the alphabetized, concatenated parameters of the request payload through the SHA256 message digest algorithm.

boolean

Use true to regenerate all embedded_js_url for an order regardless of expiration status. If force is set to false or is not provided, the embedded_js_url is regenerated only for orders where the existing URL has expired.

integer

Used for pagination, this parameter specifies the maximum number of orders to return (maximum is 5; default is 2)

integer

Used for pagination, this parameter specifies the number of orders to skip within the response. Default value is 0.

Response

Language
URL
LoadingLoading…
Response
Choose an example:
application/json